classification
Title: Install .exes generated with distutils to not do a CRC check
Type: enhancement Stage: resolved
Components: Distutils2 Versions: 3rd party
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: alexis, eric.araujo, nateman1352, tarek
Priority: normal Keywords:

Created on 2010-04-28 19:14 by nateman1352, last changed 2010-11-21 21:05 by eric.araujo. This issue is now closed.

Messages (3)
msg104451 - (view) Author: nateman1352 (nateman1352) Date: 2010-04-28 19:14
During network transit, .exe generated with distutils may become corrupted.  The part of the file that is a binary executable is small compared to the full package typically, so it is possible for the installer to run and lay down bad files.  It would be nice if the setup program ran a CRC check on itself before running.
msg121010 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-11-12 02:01
Thanks for the report.  I think this is not specific to .exe installers, but an issue that may happen with any kind of download.  PyPI publishes MD5 checksums of distributions, which should be checked by tools that download distributions.  distutils2 does, and I’m sure other tools like pip are doing the same thing.  Does that address your concern?
msg121990 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-11-21 21:05
No reply, closing.
History
Date User Action Args
2010-11-21 21:05:18eric.araujosetstatus: pending -> closed
resolution: wont fix
messages: + msg121990

stage: resolved
2010-11-12 02:01:47eric.araujosetstatus: open -> pending
assignee: tarek -> eric.araujo
2010-11-12 02:01:11eric.araujosetversions: + 3rd party, - Python 3.2
nosy: + eric.araujo, alexis

messages: + msg121010

components: + Distutils2, - Distutils
2010-07-09 04:42:57terry.reedysetversions: - Python 2.6, Python 2.5, Python 3.1, Python 2.7, Python 3.3
2010-04-28 19:14:25nateman1352create